<?php
/**
 *  VW Job Board: Block Patterns
 *
 * @package  VW Job Board
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-job-board',
		array( 'label' => __( 'VW Job Board', 'vw-job-board' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-job-board/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-job-board' ),
			'categories' => array( 'vw-job-board' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner1.png\",\"id\":2732,\"dimRatio\":50,\"align\":\"full\",\"className\":\"vw-job-board-banner-section\"} -->\n<div class=\"wp-block-cover alignfull vw-job-board-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-2732\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner1.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"full\",\"className\":\"vw-job-board-banner-section1  mx-lg-5 \"} -->\n<div class=\"wp-block-columns alignfull vw-job-board-banner-section1  mx-lg-5\"><!-- wp:column {\"className\":\"vw-job-board-banner-section2 px-lg-5 \"} -->\n<div class=\"wp-block-column vw-job-board-banner-section2 px-lg-5\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"45px\"}}} -->\n<h1 style=\"font-size:45px\">Browse.Apply.Prepare Your Future</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p style=\"font-size:15px\">simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:search {\"label\":\"\",\"showLabel\":false,\"placeholder\":\"Search for jobs\",\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"\\u003cstrong\\u003eSEARCH\\u003c/strong\\u003e\",\"buttonPosition\":\"button-inside\",\"backgroundColor\":\"white\",\"textColor\":\"white\",\"className\":\"placeholder-search\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:gallery {\"linkTo\":\"none\",\"sizeSlug\":\"full\"} -->\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped\"><!-- wp:image {\"id\":2759,\"width\":499,\"height\":401,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"vw-job-board-banner-section3 \"} -->\n<figure class=\"wp-block-image size-full is-resized vw-job-board-banner-section3\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner2.png\" alt=\"\" class=\"wp-image-2759\" width=\"499\" height=\"401\"/></figure>\n<!-- /wp:image --></figure>\n<!-- /wp:gallery --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-job-board/featured-job-section',
		array(
			'title'      => __( 'Services Section', 'vw-job-board' ),
			'categories' => array( 'vw-job-board' ),
			'content'    => "<!-- wp:group {\"className\":\"vw-job-board-featured-job-section pt-5\"} -->\n<div class=\"wp-block-group vw-job-board-featured-job-section pt-5\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"style\":{\"color\":{\"text\":\"#e3684f\"},\"typography\":{\"fontSize\":\"15px\",\"textTransform\":\"uppercase\"}}} -->\n<h4 class=\"has-text-align-center has-text-color\" style=\"color:#e3684f;font-size:15px;text-transform:uppercase\">FEATURED JOBS</h4>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:30px\">Look Into Our Featured Jobs</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"pt-5\"} -->\n<div class=\"wp-block-columns pt-5\"><!-- wp:column {\"className\":\"vw-job-board-featured-job-section1\"} -->\n<div class=\"wp-block-column vw-job-board-featured-job-section1\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":1573,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/icon2.png\" alt=\"\" class=\"wp-image-1573\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":4} -->\n<h4 class=\"has-text-align-left\">General leader Accountant</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#707070\"}}} -->\n<p class=\"has-text-color\" style=\"color:#707070;font-size:15px\">Amilia software</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#6a6a6a\"}}} -->\n<p class=\"has-text-color\" style=\"color:#6a6a6a;font-size:15px\">simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#2f2f2f\"}}} -->\n<h5 class=\"has-text-color\" style=\"color:#2f2f2f;font-size:15px\">Munich</h5>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#2f2f2f\"}}} -->\n<h5 class=\"has-text-color\" style=\"color:#2f2f2f;font-size:15px\">Fultime</h5>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#2f2f2f\"}}} -->\n<h5 class=\"has-text-color\" style=\"color:#2f2f2f;font-size:15px\">Design</h5>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#2f2f2f\"}}} -->\n<h5 class=\"has-text-color\" style=\"color:#2f2f2f;font-size:15px\">Softwae</h5>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:separator {\"style\":{\"color\":{\"background\":\"#c9c9c9\"}},\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-alpha-channel-opacity has-background is-style-wide\" style=\"background-color:#c9c9c9;color:#c9c9c9\"/>\n<!-- /wp:separator -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#2f2f2f\"}},\"className\":\"doller\"} -->\n<p class=\"has-text-align-left doller has-text-color\" style=\"color:#2f2f2f;font-size:16px\">  47k Annually</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#2f2f2f\"}},\"className\":\"public\"} -->\n<p class=\"has-text-align-left public has-text-color\" style=\"color:#2f2f2f;font-size:16px\">  23 Applicants</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"14px\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-white-color has-white-background-color has-text-color has-background\" style=\"border-radius:14px\">APPLLY NOW</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"vw-job-board-featured-job-section1\"} -->\n<div class=\"wp-block-column vw-job-board-featured-job-section1\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":1573,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/icon1.png\" alt=\"\" class=\"wp-image-1573\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":4} -->\n<h4 class=\"has-text-align-left\">Junior UI/UX designer</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#707070\"}}} -->\n<p class=\"has-text-color\" style=\"color:#707070;font-size:15px\">Amilia software</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#6a6a6a\"}}} -->\n<p class=\"has-text-color\" style=\"color:#6a6a6a;font-size:15px\">simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#2f2f2f\"}}} -->\n<h5 class=\"has-text-color\" style=\"color:#2f2f2f;font-size:15px\">Munich</h5>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#2f2f2f\"}}} -->\n<h5 class=\"has-text-color\" style=\"color:#2f2f2f;font-size:15px\">Fultime</h5>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#2f2f2f\"}}} -->\n<h5 class=\"has-text-color\" style=\"color:#2f2f2f;font-size:15px\">Design</h5>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#2f2f2f\"}}} -->\n<h5 class=\"has-text-color\" style=\"color:#2f2f2f;font-size:15px\">Softwe</h5>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:separator {\"style\":{\"color\":{\"background\":\"#c9c9c9\"}},\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-alpha-channel-opacity has-background is-style-wide\" style=\"background-color:#c9c9c9;color:#c9c9c9\"/>\n<!-- /wp:separator -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#2f2f2f\"}},\"className\":\"doller\"} -->\n<p class=\"has-text-align-left doller has-text-color\" style=\"color:#2f2f2f;font-size:16px\">  47k Annually</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#2f2f2f\"}},\"className\":\"public\"} -->\n<p class=\"has-text-align-left public has-text-color\" style=\"color:#2f2f2f;font-size:16px\">  23 Applicants</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"14px\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-white-color has-white-background-color has-text-color has-background\" style=\"border-radius:14px\">APPLLY NOW</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}